#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Calendar
%define		pnam	Simple
Summary:	Calendar::Simple - Perl extension to create simple calendars
Summary(pl.UTF-8):	Calendar::Simple - rozszerzenie Perla do tworzenia prostych kalendarzy
Name:		perl-Calendar-Simple
Version:	1.23
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Calendar/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	05afc2e198bc1d11c9c953d9fcb8b284
URL:		http://search.cpan.org/dist/Calendar-Simple/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl extension to create simple calendars.

%description -l pl.UTF-8
Rozszerzenie Perla do tworzenia prostych kalendarzy.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%attr(755,root,root) %{_bindir}/pcal
%dir %{perl_vendorlib}/Calendar
%{perl_vendorlib}/Calendar/*.pm
%{_mandir}/man3/*
%changelog
* Thu Mar 15 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Calendar-Simple.git;a=log;h=master

* Thu Mar 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 36bade9
- up to 1.23

* Mon Jul 11 2011 marti <marti@pld-linux.org> 39f43d5
- up to 1.21

* Mon Jun 15 2009 amateja <amateja@pld-linux.org> e355cf7
- updated to 1.20

* Sat Apr 05 2008 Jakub Bogusz <qboosh@pld-linux.org> 6a1523e
- fixed URL

* Wed Apr 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 384eddd
- up to 1.19

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 62d19ba
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f734361
- converted to UTF-8

* Sun Oct 08 2006 Jakub Bogusz <qboosh@pld-linux.org> 9885d0f
- pl

* Thu Oct 05 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 28eaf9c
- new

